Bug 117403 - FILEOPEN: RTF: missing border on table
Summary: FILEOPEN: RTF: missing border on table
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3 all versions
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.1.0 target:6.0.5
Keywords: bibisected, bisected, filter:rtf, regression
Depends on:
Blocks:
 
Reported: 2018-05-03 09:11 UTC by Nikola
Modified: 2018-05-29 12:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Excample file (28.39 KB, application/rtf)
2018-05-03 09:11 UTC, Nikola
Details
MSO Word 2010 (226.59 KB, application/pdf)
2018-05-03 09:24 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikola 2018-05-03 09:11:07 UTC
Description:
Hi,

Rtf file missing border defined on spanned/merged cells.

In example attached, first example on field with text "RAČUN ILI DRUGI DOKUMENT".

So format not changed, just border not visible anymore. Not sure from wich version, sending for current issue..

Regards, Nikola.

Steps to Reproduce:
1. Open file..
2. Look at explained
3.

Actual Results:  
Border not shown..

Expected Results:
Border should be visible..


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/66.0.3359.139 Safari/537.36
Comment 1 Nikola 2018-05-03 09:11:30 UTC
Created attachment 141859 [details]
Excample file
Comment 2 Xisco Faulí 2018-05-03 09:24:14 UTC
Created attachment 141860 [details]
MSO Word 2010
Comment 3 Xisco Faulí 2018-05-03 09:33:44 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2013-12-27 18:04:49 +0100
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2013-12-27 18:12:55 +0100
commit	6a59fbefbfbc90d6febd43e689773f88deaf36b3 (patch)
tree	f28453686a19e2f021eaf46b04cf569d0c5bb20a
parent	a48d76c65cdcbedaabc562bf8d4d0a2e81a1329d (diff)
writerfilter: remove unused STYLESHEET in doctok

Bisected with: bibisect-43max

Adding Cc: to Miklos Vajna
Comment 4 Commit Notification 2018-05-08 09:06:52 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=42b32321381126ad70700424b8970dbc45a843f5

tdf#117403 RTF import: fix lost cell border of merged cell

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-05-11 08:01:18 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9223a8766e5a055f77e9cc7bccbfa718e6122e28&h=libreoffice-6-0

tdf#117403 RTF import: fix lost cell border of merged cell

It will be available in 6.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-05-29 12:45:29 UTC
Verified in

Version: 6.1.0.0.beta1+
Build ID: da49f4aeb8d5e9a7d2cba8855d911e7cc1d2f1e2
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

@Miklos, Thanks for fixing this!!